
/* banner */
.brand_banner {
  background: linear-gradient(180deg, #4A9FD8 0%, #0066AA 50%, #1E5A8E 100%);
  padding-block: 96px 0px;
  position: relative;
}

.brand_banner > .wave_img img{
width: 100%;
}

.brand_banner > .top_icon{
    position: absolute;
    top: 80px;
    right: 120px;

}
.brand_banner > .bottom_icon{
    position: absolute;
    bottom: 80px;
    left: 60px;

}
.brand_banner .banner_content{
    padding-block: 32px 48px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
    font-weight: 400;
    font-size: 60px;
    line-height: 60px;
    letter-spacing: 0.26px;
    color: var(--white-main-color);
    display: flex;
    align-items: center;
    gap: 16px;
}

.brand_banner .banner_content .banner_text{
    color: var(--white-main-color);
    font-size: 20px;
    line-height: 28px;
    margin-block: 16px 32px;
}


.brand_banner .search_box {
    position: relative;
    max-width: 665px;
}
.brand_banner .search_box input {
    width: 100%;
    max-width: -webkit-fill-available;
    padding: 15px 20px 15px 48px;
    border-radius: 14px;
    border: none;
    font-size: 14px;
    outline: none;
    background: var(--white-main-color);
    color: var(--secondary-text-color);
}
.brand_banner .search_box img{
    position: absolute;
    left: 16px;
    top: 13px;
}

.brand_banner .banner_stats{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 24px;
    margin-top: 48px;
}

.brand_banner .banner_stats .stat{
    padding: 25px;
    box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1);
    background-color: #3378ac;
    border-radius: 16px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    flex: 1;
}

.brand_banner .banner_stats .stat .stat_label{
    color: var(--white-main-color);
    display: flex;
    align-items: center;
    gap: 8px;
}

.brand_banner .banner_stats .stat .stat_number{
    font-size: 36px;
    line-height: 40px;
    letter-spacing: 0.37px;
    font-weight: 400;
    color: var(--white-main-color);
    margin-top: 9px;
}

.brand_banner .search_results {
  position: absolute;
  margin-top: 5px;
  width: 100%;
  max-height: 220px;
  overflow-y: auto;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.1);
  padding: 8px 0;
  display: none;
  z-index: 20;
  max-width: 666px;
}

.brand_banner .result_item {
  padding: 10px 15px;
  cursor: pointer;
  transition: 0.2s ease;
  font-size: 15px;
  color: #333;
}

.brand_banner .result_item:hover {
  background: #eefaff;
}

.brand_banner  .no_result {
  color: #888;
  text-align: center;
}

/* filter Brands */
.filter_section{
        position: sticky;
    top: 0;
    z-index: 999;
}
.filter_section .alphabet-filter {
  display: flex;
  align-items: center;
  gap: 5px;
  background: var(--white-main-color);
  padding: 18px;
  border-radius: 16px;
  box-shadow: 0 4px 6px -4px rgba(0,0,0,0.1);
  border: 2px solid #E5E7EB;

}

.filter_section .alphabet-filter .filter-label {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: var(--primary-color);
  font-weight: 400;
  min-width: 140px;
  gap: 8px;
}
.alphabet-filter .letters {
    display: flex;          
    gap: 5px;                
    overflow-x: auto;       
    padding-bottom: 10px;     
    scrollbar-width: thin;
}

.alphabet-filter .letters::-webkit-scrollbar {
    height: 6px;             
}

.alphabet-filter .letters::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,0.2);
    border-radius: 3px;
}

.alphabet-filter .letters button {
    flex: 0 0 auto;          
}


.filter_section .alphabet-filter  .letters button {
  background: #fff;
  border: 1px solid #d7dce1;
 width: 40px;
 height: 40px;
  min-width: 36px;
 min-height: 36px;
  font-size: 14px;
  border-radius: 8px;
  border: 2px solid #E5E7EB;
  box-shadow: 0px 1px 2px -1px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  font-weight: 400;
  line-height: 20px;
  transition: 0.2s ease;
}
.filter_section .alphabet-filter .letters button.active {
      background-color: #eefaff;
  border-color: var(--primary-cta-color);
}

.filter_section .alphabet-filter .letters button:hover {
      background-color: #eefaff;
  border-color: var(--primary-cta-color);
}



/* Featured Brands */
.featured_section .section_header{
    display: flex;
    align-items: center;
    border-bottom: 2px solid rgba(0, 0, 0, 0.1);
    padding-bottom: 26px;
    text-align: start;
}

.featured_section .section_header .title{
    margin-bottom: 2px;

}

.featured_section .brands{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 24px;
    justify-items: center;
    margin-top: 32px;

}

.featured_section .brands .brand{
    padding: 24px;
    border-radius: 16px;
    background-color: var(--white-main-color);
    border: 2px solid #E5E7EB;
          transition: all 0.3s ease;
          cursor: pointer;
    /* max-width: 346px; */
}

.featured_section .brands .brand:hover{
    background-color: #f8fcfe;
     box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
     border: 2px solid var(--white-main-color);
}

.featured_section .brands .brand .alphabet-container{
/* max-width: 298px; */
height: 298px;
background-image: linear-gradient(#EFF6FF, #ECFEFF);
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
  border-radius: 14px;
transition: all 0.3s ease;
}
.featured_section .brands .brand:hover .alphabet-container{
    scale: 1.06;
}
.featured_section .brands .brand {
gap: 20px;
}

.featured_section .brands .brand .alphabet-container .alphabet{
display: flex;
justify-content: center;
height: 100%;
align-items: center;
color: var(--primary-cta-color);
font-size: 48px;
font-weight: 400;
line-height: 48px;
}

.featured_section .brands .brand .content{
    margin-top: 16px;
}

.featured_section .brands .brand .content .title{
    font-size: 20px;
    color: var(--primary-color);
    transition: all 0.3s ease;
}
.featured_section .brands .brand:hover .content .title{
    color: var(--primary-cta-color);
}
.featured_section .brands .brand .content .text{
    margin-block: 8px 12px;
}
.featured_section .brands .brand .content .bottom{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 20px;
}

.featured_section .brands .brand .content .bottom .total{
    color: var(--secondary-color);
    font-size: 14px;
}
.featured_section .brands .brand .content .bottom button{
background-image: linear-gradient(#EFF6FF, #ECFEFF);
    padding: 5px 12px;
    border-radius: 20px;
    color: var(--primary-cta-color);
    font-size: 12px;
    border: 0;
    display: none;
    transition: all .3s ease;
}

.featured_section .brands .brand:hover .content .bottom button{
    display: block;
}

/* All Brands */
.all_brands_section .section_header{
text-align: start;
}

.all_brands_section .section_header .title{
    margin-bottom: 8px;
}
.all_brands_section .brands .brands_section{
    margin-top: 32px;
}

.all_brands_section .brands .brands_section .brands_header{
    padding: 18px;
    background-image: linear-gradient(#EFF6FF, #ECFEFF, #F0F9FF);
    border-radius: 14px;
    border: 2px solid #DBEAFE;
    box-shadow: 0px 2px 4px -2px rgba(0, 0, 0, 0.1);
    
}

.all_brands_section .brands .brands_section .brands_header .brands_letter{
    background-color: var(--white-main-color);
    width: 33px;
    height: 50px;
    border-radius: 10px;
    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1);
    padding: 9px;
    color: var(--primary-cta-color);
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
    margin-right: 12px;
}

.all_brands_section .brands .brands_section .brands_grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(290px, 343px));
    margin-top: 24px;
    gap: 16px;
}

.all_brands_section .brands .brands_section .brands_grid .brand_card{
display: flex;
align-items: center;
justify-content: space-between;
width: 100%;
    border-radius: 14px;
    padding: 16px;
    border: 2px solid #E5E7EB;
 transition: all 0.3s ease;
 cursor: pointer;
}
.all_brands_section .brands .brands_section .brands_grid .brand_card:hover{
        background: rgb(241, 245, 249);
    border-color: var(--primary-cta-color);
    scale: 1.04;
     box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.all_brands_section .brands .brands_section .brands_grid .brand_card .content{
        display: flex;
    align-items: center;
    gap: 12px;
}


.all_brands_section .brands .brands_section .brands_grid .brand_card .brand_card_icon{
    background-image: linear-gradient(#4A9FD8, #0066AA);
    border-radius: 50px;
    width: 40px;
    height: 40px;
    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white-main-color);
}

.all_brands_section .brands .brands_section .brands_grid .brand_card .brand_name{
    color: var(--primary-color);
    margin-bottom: 4px;
    margin-top: 0px;
}

.all_brands_section .brands .brands_section .brands_grid .brand_card .brand_products{
    font-size: 14px;
    color: var(--secondary-color);
}
.all_brands_section  .hidden {
  display: none !important;
}

#clearSearch {
  display: none;
  border: none;
  background: transparent;
  font-size: 22px;
  cursor: pointer;
  margin-left: 8px;
  position: absolute;
  top: 9px;
  right: 9px;
}

.search_dropdown {
  display: none;
  position: absolute;
  top: 52px;
  left: 0;
      max-height: 274px;
    overflow-y: auto;
  right: 0;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 16px rgba(0,0,0,0.15);
  padding: 8px 0;
}

.search_dropdown.active {
  display: block;
}
.dropdown_empty{
    text-align: center;
    font-size: 14px;
    padding-block: 10px;
}
.search_dropdown  .name{
    font-size: 14px;
    color: var(--primary-color);
}
.search_dropdown  .products{
    font-size: 13px;
    padding-top: 4px;
    color: var(--secondary-color);
}
.dropdown_item {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 10px 15px;
  cursor: pointer;
}

.dropdown_item:hover {
  background: #f5f5f5;
}

.dropdown_item .initial {
  width: 32px;
  height: 32px;
background-color: #eefaff;
    border-color: var(--primary-cta-color);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
}

.no_results_message {
  text-align: center;
  padding: 20px 0;
  font-size: 16px;
  color: var(--secondary-color);
}

@media screen and (max-width:1500px) {
    .all_brands_section .brands .brands_section .brands_grid {

    grid-template-columns: repeat(auto-fit, minmax(290px, 1fr));
}
}
@media screen and (max-width: 1280px) {
    
/* banner */
.brand_banner {
  padding-block: 76px 0px;
}



.brand_banner > .top_icon{
    top: 60px;
    right: 80px;
}

.brand_banner > .bottom_icon{
    display: none;

}
.brand_banner .banner_content{
    padding-block: 28px 42px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
    font-size: 56px;
    line-height: 56px;
    gap: 14px;
}

.brand_banner .banner_content .banner_text{
    color: var(--white-main-color);
    font-size: 19px;
    line-height: 26px;
    margin-block: 15px 30px;
}



.brand_banner .banner_stats{
    gap: 22px;
    margin-top: 42px;
}

.brand_banner .banner_stats .stat{
    padding: 22px;
}



.brand_banner .banner_stats .stat .stat_number{
    font-size: 32px;
    line-height: 38px;
}
}

@media screen and (max-width: 1024px) {
    /* banner */
.brand_banner {
  padding-block: 65px 0px;
}



.brand_banner > .top_icon{
    top: 40px;
    right: 40px;
}

.brand_banner .banner_content{
    padding-block: 24px 38px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
    font-size: 52px;
    line-height: 52px;
    gap: 14px;
}

.brand_banner .banner_content .banner_text{
        font-size: 18px;
        line-height: 26px;
        margin-block: 14px 26px;
    }



.brand_banner .banner_stats{
    gap: 20px;
    margin-top: 40px;
}

.brand_banner .banner_stats .stat{
    padding: 22px;
}



.brand_banner .banner_stats .stat .stat_number{
    font-size: 30px;
    line-height: 36px;
}

/* Filter Brands */
.filter_section{
    top: 111px;
}
}
@media screen and (max-width: 992px) {
        /* banner */
.brand_banner {
  padding-block: 60px 0px;
}



.brand_banner > .top_icon{
    display: none;
}

.brand_banner .banner_content{
    padding-block: 24px 38px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
    font-size: 48px;
    line-height: 48px;
    gap: 12px;
}

.brand_banner .banner_content .banner_text{
            font-size: 17px;
        line-height: 24px;
        margin-block: 14px 24px;
    }



.brand_banner .banner_stats{
    gap: 20px;
    margin-top: 36px;
}

.brand_banner .banner_stats .stat{
    padding: 22px;
}



.brand_banner .banner_stats .stat .stat_number{
    font-size: 30px;
    line-height: 36px;
}
/* filter Brands */
.filter_section .alphabet-filter {
padding: 14px;
}
.filter_section .alphabet-filter .letters button{
    width: 34px;
    height: 34px;
    min-width: 34px;
    min-height: 34px;
    font-size: 15px;
}

/* All Brands */
.all_brands_section .brands .brands_section .brands_grid{
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}
}
@media screen and (max-width: 768px) {
            /* banner */
.brand_banner {
  padding-block: 50px 0px;
}



.brand_banner .banner_content{
    padding-block: 24px 38px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
        font-size: 42px;
        line-height: 42px;
        gap: 10px;
}

.brand_banner .banner_content .banner_text{
            font-size: 16px;
        line-height: 22px;
        margin-block: 14px 24px;
    }



.brand_banner .banner_stats{
    gap: 16px;
            flex-wrap: wrap;
    margin-top: 32px;
    justify-content: flex-start;
}

.brand_banner .banner_stats .stat{
    padding: 22px;
    min-width: 220px;
    max-width: 220px;
}
.brand_banner .search_box input {

    padding: 15px 20px 15px 48px;
    border-radius: 14px;
    border: none;
    font-size: 14px;
    outline: none;
    background: var(--white-main-color);
    color: var(--secondary-text-color);
}



.brand_banner .banner_stats .stat .stat_number{
    font-size: 28px;
        line-height: 34px;
}
.brand_banner .search_results{
    width: 87%;
}
.brand_banner .result_item {
    padding: 8px 13px;
    font-size: 14px;

}

/* Featured Brands */
.featured_section .brands
 {
    gap: 16px;
    margin-top: 26px;
}

.featured_section .brands .brand .content .title{
    font-size: 18px;
}
.featured_section .brands .brand .content .text
 {
    margin-block: 8px 10px;
}
.featured_section .brands .brand .alphabet-container .alphabet {
    font-size: 42px;
    line-height: 42px;
}

/* All Brands */
.all_brands_section .brands .brands_section .brands_grid .brand_card .brand_products{
    font-size: 12px;
}
.all_brands_section .brands .brands_section .brands_header{
    padding: 14px;
}
.all_brands_section .brands .brands_section .brands_header .brands_letter{
    font-size: 20px;
    padding: 8px;
    margin-right: 8px;
}
.all_brands_section .brands .brands_section {
margin-top: 26px;
}
.all_brands_section .brands .brands_section .brands_grid{
    margin-top: 14px;
    gap: 10px;
        grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}

.all_brands_section .brands .brands_section .brands_grid .brand_card .content{
    gap: 10px;
}
.all_brands_section .brands .brands_section .brands_grid .brand_card .brand_card_icon{
width:36px;
    font-size: 14px;
    height: 36px;
}
.all_brands_section .brands .brands_section .brands_grid .brand_card{
    padding: 12px;
}

/* filter Brands */
.filter_section{
    top: 136px;
}
.filter_section .alphabet-filter .filter-label {
    font-size: 12px;
    min-width: 86px;
    gap: 6px;
}
.filter_section .alphabet-filter{
    gap: 2px;
}
.filter_section .alphabet-filter .letters button {
        width: 32px;
        height: 32px;
        min-width: 32px;
        min-height: 32px;
        font-size: 12px;
    }
    .filter_section .alphabet-filter .letters{
        gap: 6px;
    }
}


@media screen and (max-width: 576px) {
                /* banner */
.brand_banner {
  padding-block: 40px 0px;
}

.brand_banner .banner_content{
    padding-block: 24px 38px;
    max-width: 768px;
}
.brand_banner .banner_content .banner_heading{
    font-size: 36px;
        line-height: 36px;
        gap: 8px;
}

.brand_banner .banner_content .banner_text{
            font-size: 15px;
        line-height: 18px;
        margin-block: 12px 20px;
    }



.brand_banner .banner_stats{
    gap: 16px;
            flex-wrap: wrap;
    margin-top: 28px;
    justify-content: center;

}

.brand_banner .banner_stats .stat{
    padding: 20px;
    min-width: 170px;
    max-width: 200px;
}
.brand_banner .search_box input {
        /* width: 80%; */
        padding: 13px 16px 13px 38px;
        border-radius: 14px;
        font-size: 12px;
}

.brand_banner .banner_stats .stat .stat_number{
    font-size: 24px;
        line-height: 30px;
}
.brand_banner .search_box img {
    left: 12px;
    top: 10px;
}
.brand_banner .result_item {
    padding: 5px 10px;
    font-size: 14px;

}
/* Filter Brands */
.filter_section .alphabet-filter .filter-label img{
    display: none;
}
.filter_section .alphabet-filter .filter-label{
    min-width: 50px;
}
.filter_section .alphabet-filter {
        padding: 8px 12px;
        border-radius: 8px;
    }
    .search_box .search_dropdown {
        top: 45px;
    }
    .dropdown_item .initial {
    width: 28px;
    height: 28px;
    font-size: 14px;}
    .dropdown_item {
    display: flex;
    align-items: center;
    gap: 9px;
    padding: 7px 11px;
    cursor: pointer;
}
}

@media screen and (max-width: 480px) {
    .brand_banner .banner_content .banner_heading {
        font-size: 25px;
        line-height: 26px;
        gap: 8px;
    }
}
.breadcrumb, .breadcrumb a{
        color: var(--white-main-color);
    display: flex;
    align-items: center;
    gap: 8px;
}

.breadcrumb span{
    font-size: 14px!important;
}
.search_dropdown {
    position: absolute;
    top: 100%; /* right below the input */
    left: 0;
    width: 100%;
    max-height: 300px;
    overflow-y: auto;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    z-index: 50;
    display: none; /* hidden by default */
    padding: 8px 0;
}

.search_result_item {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 8px 16px;
    color: #333;
    text-decoration: none;
    font-weight: 500;
    border-bottom: 1px solid #f0f0f0;
    transition: background 0.2s, color 0.2s;
}

.search_result_item:last-child {
    border-bottom: none;
}

.search_result_item:hover {
    background-color: #f0f8ff;
    color: #007acc;
}

.no_result {
    padding: 10px 16px;
    color: #777;
    font-style: italic;
}
